Package org.eclipse.mat.query.annotations

# Annotation Type Category

@Target(TYPE) @Retention(RUNTIME) public @interface Category
Annotates the category to which the query belongs. The category is used to specify the menu section for a query. Cascaded menus can be given by separating the names with a slash. The text can be replaced by translatable text in an annotations.properties file in the same package with the key and example value as here:

    <SimpleClassName>.category = Java Basics/References
    <SimpleClassName2>.category = Java Basics

where `<SimpleClassName>` is the name of the class of the query without the package name. The category name is optionally preceded by a number indicating the menu order with a vertical bar separator.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`HIDDEN`
A report which does not appear on the query menu or in the search queries.

## Field Details

### HIDDEN

static final String HIDDEN
A report which does not appear on the query menu or in the search queries.

See Also:
  - Constant Field Values

## Element Details

### value

String value